Log in to reply
 

Scripthook working?



  • I would like to know when they will update Scripthook, I have returned to mods after a while and the game does not open I guess because it does not support the current Scripthook, thanks



  • @Xx_DamiauxX Yes it is working with Steam and Epic versions. Ensure you update your game and scripthook.

    http://dev-c.com/GTAV/scripthookv



  • Okay, thanks but my viersion is Rockstar, with Rockstar launcher.



  • @Xx_DamiauxX all versions are fine except cracked



  • @Xx_DamiauxX If the game doesn't boot up it has nothing to do with Scripthook. It's a conflicting mod. Check your mods



  • @Algonquin1234 Actually it does. Try to boot your modded game with an outdated version of Scripthook. It won't.

    It's unclear what is happening here due to lack of information. Is the game crashing to desktop or hanging? No error messages? "Does not open" is meaningless.

    Conflicting mods might be the issue, or it could be too many mods, the wrong mods, the wrong gameconfig, no gameconfig, no packfile, dlclist.xml errrors, and on and on and on.

    First step is to disable all mods (dinput8.dll rename or move) to rule out non-mod related issues such as missing or corrupt game files or a corrupt game save file. Very unlikely could be a bad video driver or a hardware issue but the OP was running the game before.

    If it doesn't run with all mods disabled the next logical step is to verify integrity, worst case a clean reinstall. Again, clean, not just reinstall.



  • The problem comes exactly when I try to launch the game, from Open IV or from the Rockstar launcher, the only mod that I have installed is Ls Life, in addition to the necessary add-ons for modeling, and clarify that if I remove Scripthoock from my folder GtaV, the game is already launched. For this reason and because the page Scripthoock says that the supported version is 1.0.2372.0 and the one I have is 1.02372.2 I think the problem is the update of Scripthoock scripthook. Finally say that I do not get an error message, the game simply does not launch.



  • @Xx_DamiauxX The problem is not related to scripthook and it is perfectly compatible with 1.02372.2 which was a minor update. Given updates are forced on us by Steam and company everyone with modded games is using updated GTA5 and updated scripthooks. So start looking elsewhere. If you only have one mod installed and your game runs without it, well the conclusion is very simple: LS Life is your problem.

    And what do you mean by the necessary modding files. All you need as essential are SHV and OpenIV. For the LS Life the description says you need the ifruit mod and nativeUI. That's it. You don't need SHVDN unless a mod requires it and you don't need gameconfg/packfile/heap for that matter without other mods.



  • Finally the problem was the Menyoo menu mod as it was a link to a YouTube video and it must have been an outdated version. Just what I least expected. Thank you very much for your help



  • @Xx_DamiauxX Glad you solved it and thank you for letting us know the cause.


Log in to reply
 

Looks like your connection to GTA5-Mods.com Forums was lost, please wait while we try to reconnect.